package com.cesgroup.kingkong.mapper;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.cesgroup.common.utils.http.HttpClientHelper;



@Component
public class EsMapper {
	@Value("${elasticsearch.HostAddress}")
    private String esHostAddress ="http://10.250.190.97:18630";

	@Value("${articlesearch.HostAddress}")
    private String arHostAddress ="";
	//配置专利索引别名
	private final static String PATENT_INDEX_ALIAS = "patent_yun";
	
	@Autowired
	private HttpClientHelper httpClientHelper;
	
	public String postQuery(String query) {
		String uriString =esHostAddress+"/"+PATENT_INDEX_ALIAS+"/"+"_search/";
		HashMap<String, Object> header = new HashMap<String, Object>();
		String result = httpClientHelper.postJSON(uriString, query, header);
		return result;
	}

	public String getArticleInfo(HashMap<String, Object> paramMap){
        HashMap<String, Object> header = new HashMap<String, Object>();
        header.put("X-ELS-APIKey", "d7513bc36ec90aa7662c0cfb28b3dd3b");
        header.put("Content-Type", "application/json");
        header.put("Accept", "application/json");

        String result = httpClientHelper.get(arHostAddress, paramMap, header);
        return result;
    }
}
